# H248_IndAudLocalControlDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_IndAudLocalControlDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_streamMode, e_reserveValue, e_reserveGroup, e_propertyParms }

## Public Member Functions

| H248_IndAudLocalControlDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Null | m_streamMode
PASN_Null | m_reserveValue
PASN_Null | m_reserveGroup
H248_ArrayOf_IndAudPropertyParm | m_propertyParms

## Member Enumeration Documentation

enum H248_IndAudLocalControlDescriptor::OptionalFields

Enumerator:

  e_streamMode |
  e_reserveValue |
  e_reserveGroup |
  e_propertyParms |

## Constructor & Destructor Documentation

H248_IndAudLocalControlDescriptor::H248_IndAudLocalControlDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_IndAudLocalControlDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_IndAudLocalControlDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_IndAudLocalControlDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_IndAudLocalControlDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_IndAudLocalControlDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_IndAudLocalControlDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Null H248_IndAudLocalControlDescriptor::m_streamMode

PASN_Null H248_IndAudLocalControlDescriptor::m_reserveValue

PASN_Null H248_IndAudLocalControlDescriptor::m_reserveGroup

H248_ArrayOf_IndAudPropertyParm H248_IndAudLocalControlDescriptor::m_propertyParms

The documentation for this class was generated from the following file:

- h248.h